<div class="example-loading-shade" *ngIf="isLoadingResults">
    <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
</div>
<div class="table-head">
    <div class="table-head-result">
        <form (ngSubmit)="directSearchHistory()">
            <mat-form-field floatLabel="never" style="font-size: 13px;">
                <input type="text" #autoCompleteInput [matAutocomplete]="auto" [placeholder]="lang.filterBy" matInput
                    [formControl]="searchHistory" (click)="$event.stopPropagation()" maxlength="128">
                <mat-autocomplete #auto="matAutocomplete" (optionSelected)="addItemFilter($event.option)"
                    (opened)="initFilterListHistory()">
                    <mat-option disabled *ngIf="loadingFilters">
                        <div style="display: flex;justify-content: center;">
                            <mat-spinner diameter="35"></mat-spinner>
                        </div>
                    </mat-option>
                    <ng-container *ngIf="filterList!==null && !loadingFilters">
                        <ng-container *ngFor="let keyVal of filterList | keyvalue">
                            <mat-optgroup *ngIf="(filteredList[keyVal.key] | async)?.length > 0" [label]="lang[keyVal.key]"
                                class="filterList">
                                <mat-option [id]="keyVal.key" [style.color]="!filter.used ? filterColor[keyVal.key] : ''"
                                    *ngFor="let filter of filteredList[keyVal.key] | async | sortBy : 'label'"
                                    [value]="filter" [disabled]="filter.used">
                                    {{filter.label}}
                                </mat-option>
                            </mat-optgroup>
                        </ng-container>
                    </ng-container>
                </mat-autocomplete>
                <button mat-button matSuffix mat-icon-button (click)="directSearchHistory()" [title]="lang.search" style="float: right">
                    <mat-icon color="primary" class="fa fa-search">
                    </mat-icon>
                </button>
            </mat-form-field>
        </form>
    </div>
    <button *ngIf="privilegeService.hasCurrentUserPrivilege('view_full_history') && privilegeService.hasCurrentUserPrivilege('view_doc_history')" color="primary" mat-icon-button [title]="!fullHistoryMode ? lang.viewAllHistory : lang.viewActionsHistory" (click)="switchHistoryMode()">
        <mat-icon class="fas" [class.fa-exchange-alt]="fullHistoryMode" [class.fa-history]="!fullHistoryMode"></mat-icon>
    </button>
    <div class="table-head-tool">
        <mat-paginator #paginatorHistoryList [length]="resultsLength" [hidePageSize]="true" [pageSize]="10"
            class="paginatorResultList"></mat-paginator>
    </div>
</div>
<div [class.table-admin]="resId === null">
    <div class="filterBadges">
        <ng-container *ngFor="let keyVal of filterUsed | keyvalue">
            <ng-container *ngIf="['startDate','endDate'].indexOf(keyVal.key) === -1">
                <span *ngFor="let filter of filterUsed[keyVal.key]; let i=index;" class="label"
                    [style.background]="filterColor[keyVal.key]" [title]="lang[keyVal.key]"
                    (click)="removeItemFilter(filter,keyVal.key,i)">{{filter.label}}
                    <i class="fa fa-times-circle"></i></span>
            </ng-container>
        </ng-container>
    </div>
    <mat-table id="history-list" #tableHistoryListSort="matSort" [dataSource]="data" matSort matSortActive="event_date"
        matSortDirection="desc" style="width:100%;">
        <ng-container matColumnDef="event_date">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{lang.event}}</mat-header-cell>
            <mat-cell mat-cell *matCellDef="let element" [title]="element.event_date | fullDate"
                [class.smallText]="resId !== null">
                <div *ngIf="resId !== null" style="font-size: 10px;">
                    {{element.userLabel}}
                </div>
                <div>
                    {{element.event_date  | timeAgo : 'full' | ucfirst}}
                </div>
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="record_id">
            <mat-header-cell *matHeaderCellDef>{{lang.technicalId}}</mat-header-cell>
            <mat-cell mat-cell *matCellDef="let element">
                    {{element.record_id}}
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="userLabel">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{lang.user | ucfirst}}</mat-header-cell>
            <mat-cell *matCellDef="let element">
                {{element.userLabel}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="info">
            <mat-header-cell *matHeaderCellDef mat-sort-header style="flex: 2;">{{lang.information}}
            </mat-header-cell>
            <mat-cell *matCellDef="let element" style="flex: 2;">
                {{element.info}}
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="remote_ip">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{lang.ip}}
            </mat-header-cell>
            <mat-cell *matCellDef="let element">
                {{element.remote_ip}} </mat-cell>
        </ng-container>
        <ng-container *ngIf="resId === null">
            <mat-header-row *matHeaderRowDef="displayedColumnsHistory"></mat-header-row>
        </ng-container>
        <mat-row *matRowDef="let row; columns: displayedColumnsHistory;">
        </mat-row>
    </mat-table>
    <div class="mat-paginator"
        style="min-height:48px;min-height: 48px;display: flex;justify-content: end;align-items: center;padding-right: 20px;">
        {{resultsLength}} {{lang.elements}}</div>
</div>
